# Uses of Class
org.apache.solr.common.SolrInputField

Packages that use SolrInputField
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.

## Uses of SolrInputField in org.apache.solr.common

Methods in org.apache.solr.common that return SolrInputField
Modifier and Type
Method
Description
`SolrInputField`
SolrInputField.`deepCopy()`
`SolrInputField`
SolrInputDocument.`get(Object key)`
`SolrInputField`
SolrInputDocument.`getField(String field)`
`SolrInputField`
SolrInputDocument.`put(String key, SolrInputField value)`
`SolrInputField`
SolrInputDocument.`remove(Object key)`
`SolrInputField`
SolrInputDocument.`removeField(String name)`
Remove a field from the document
Methods in org.apache.solr.common that return types with arguments of type SolrInputField
Modifier and Type
Method
Description
`Set<Map.Entry<String,SolrInputField>>`
SolrInputDocument.`entrySet()`
`Iterator<SolrInputField>`
SolrInputDocument.`iterator()`
`Collection<SolrInputField>`
SolrInputDocument.`values()`
Methods in org.apache.solr.common with parameters of type SolrInputField
Modifier and Type
Method
Description
`SolrInputField`
SolrInputDocument.`put(String key, SolrInputField value)`
Method parameters in org.apache.solr.common with type arguments of type SolrInputField
Modifier and Type
Method
Description
`void`
SolrInputDocument.`putAll(Map<? extends String,? extends SolrInputField> t)`
Constructor parameters in org.apache.solr.common with type arguments of type SolrInputField
Modifier
Constructor
Description
``
`SolrInputDocument(Map<String,SolrInputField> fields)`